Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.model
Class AnnotationItem

    java.lang.Object
      com.sun.tdk.signaturetest.model.AnnotationItem

All Implemented Interfaces:
  java.lang.Comparable

Direct Known Subclasses:
  AnnotationItemEx

    public class AnnotationItem

extends java.lang.Object
implements java.lang.Comparable

Nested Class Summary
`static class` | `AnnotationItem.Member`
`static class` | `AnnotationItem.ValueWrap`

Field Summary
`static java.lang.String` | `ANNOTATION_DOCUMENTED`
`static java.lang.String` | `ANNOTATION_INHERITED`
`static java.lang.String` | `ANNOTATION_PREFIX`
`static AnnotationItem[]` | `EMPTY_ANNOTATIONITEM_ARRAY`

Constructor Summary
`AnnotationItem()`
`AnnotationItem(int target, java.lang.String name)`

Method Summary
`void` | `addMember(AnnotationItem.Member m)`
`int` | `compareTo(java.lang.Object o)`
`boolean` | `equals(java.lang.Object obj)`
`AnnotationItem.Member` | `findByName(java.lang.String name)`
`protected java.util.Set` | `getMembers()`
`java.lang.String` | `getName()`
`protected java.lang.String` | `getPrefix()`
`protected java.lang.String` | `getSpecificData()`
`int` | `getTarget()`
`int` | `hashCode()`
`boolean` | `isInheritable()`
`static void` | `normaliazeAnnotation(AnnotationItem an, java.util.Set orderImportant)`
`void` | `removeMember(AnnotationItem.Member m)`
`void` | `setInheritable(boolean inh)`
`void` | `setName(java.lang.String name)`
`void` | `setTarget(int t)`
`static AnnotationItem[]` | `toArray(java.util.List alist)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ANNOTATION_PREFIX

    public static final java.lang.String ANNOTATION_PREFIX

See Also:
  Constant Field Values

### ANNOTATION_INHERITED

    public static final java.lang.String ANNOTATION_INHERITED

See Also:
  Constant Field Values

### ANNOTATION_DOCUMENTED

    public static final java.lang.String ANNOTATION_DOCUMENTED

See Also:
  Constant Field Values

### EMPTY_ANNOTATIONITEM_ARRAY

    public static final AnnotationItem[] EMPTY_ANNOTATIONITEM_ARRAY

Constructor Detail

### AnnotationItem

    public AnnotationItem(int target,
                          java.lang.String name)

### AnnotationItem

    public AnnotationItem()

Method Detail

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getMembers

    protected java.util.Set getMembers()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getTarget

    public int getTarget()

### setTarget

    public void setTarget(int t)

### addMember

    public void addMember(AnnotationItem.Member m)

### isInheritable

    public boolean isInheritable()

### removeMember

    public void removeMember(AnnotationItem.Member m)

### normaliazeAnnotation

    public static void normaliazeAnnotation(AnnotationItem an,
                                            java.util.Set orderImportant)

### findByName

    public AnnotationItem.Member findByName(java.lang.String name)

### getSpecificData

    protected java.lang.String getSpecificData()

### getPrefix

    protected java.lang.String getPrefix()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setInheritable

    public void setInheritable(boolean inh)

### toArray

    public static AnnotationItem[] toArray(java.util.List alist)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD